rgb2ycrcb: XRgb2YCrCb_Coef_Outputs Struct Reference

| rgb2ycrcb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XRgb2YCrCb_Coef_Outputs Struct Reference
Rgb2ycrcb_v7_1

Rgb2YCrCb output coefficient. More...

## Data Fields
u32 | ACoef
| Translated ACoef. More...
u32 | BCoef
| Translated BCoef. More...
u32 | CCoef
| Translated CCoef. More...
u32 | DCoef
| Translated DCoef. More...
u32 | YOffset
| Translated Offset for the Luminance Channel. More...
u32 | CbOffset
| Translated Offset for the Chrominance Channels. More...
u32 | CrOffset
| Translated Offset for the Chrominance Channels. More...
u32 | YMax
| Translated Y Clipping. More...
u32 | YMin
| Translated Y Clamping. More...
u32 | CbMax
| Translated Cb Clipping. More...
u32 | CbMin
| Translated Cb Clamping. More...
u32 | CrMax
| Translated Cr Clipping. More...
u32 | CrMin
| Translated Cr Clamping. More...

## Detailed Description

Rgb2YCrCb output coefficient.

## Field Documentation

u32 XRgb2YCrCb_Coef_Outputs::ACoef

Translated ACoef.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Outputs::BCoef

Translated BCoef.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Outputs::CbMax

Translated Cb Clipping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_GetCbMax().

u32 XRgb2YCrCb_Coef_Outputs::CbMin

Translated Cb Clamping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_GetCbMin().

u32 XRgb2YCrCb_Coef_Outputs::CbOffset

Translated Offset for the Chrominance Channels.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_GetCbOffset().

u32 XRgb2YCrCb_Coef_Outputs::CCoef

Translated CCoef.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Outputs::CrMax

Translated Cr Clipping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_GetCrMax().

u32 XRgb2YCrCb_Coef_Outputs::CrMin

Translated Cr Clamping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_GetCrMin().

u32 XRgb2YCrCb_Coef_Outputs::CrOffset

Translated Offset for the Chrominance Channels.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_GetCrOffset().

u32 XRgb2YCrCb_Coef_Outputs::DCoef

Translated DCoef.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Outputs::YMax

Translated Y Clipping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_GetYMax().

u32 XRgb2YCrCb_Coef_Outputs::YMin

Translated Y Clamping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_GetYMin().

u32 XRgb2YCrCb_Coef_Outputs::YOffset

Translated Offset for the Luminance Channel.

Referenced by XRgb2YCrCb_Coefficient_Translation(), XRgb2YCrCb_GetYOffset(), and XRgb2YCrCb_Select_Standard().